Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu] Vẽ đường gióng của mặt cắt ngang khi nhập tọa độ


  • Please log in to reply
9 replies to this topic

#1 cocobubu

cocobubu

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 19 March 2012 - 10:31 AM

Em vẽ bản vẽ hoàn công nhiều.Quá trình vẽ dòi hỏi phải nhập số liệu từ checking để vẽ thành bản vẽ hoàn công.Em muốn nhờ các ace trong diễn đàn viết giúp em lisp này để công việc được nhanh hơn.Sau đây là ý tưởng của em.(bản vẽ kèm theo).Em xin trân thành cảm ơnhttp://www.cadviet.c...hoan_cong_2.dwg
  • 0

#2 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 19 March 2012 - 10:37 AM

Em vẽ bản vẽ hoàn công nhiều.Quá trình vẽ dòi hỏi phải nhập số liệu từ checking để vẽ thành bản vẽ hoàn công.Em muốn nhờ các ace trong diễn đàn viết giúp em lisp này để công việc được nhanh hơn.Sau đây là ý tưởng của em.(bản vẽ kèm theo).Em xin trân thành cảm ơnhttp://www.cadviet.c...hoan_cong_2.dwg

Y/c này khác y/c hôm trước (bị tạm trú bên thùng rác) à?
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#3 cocobubu

cocobubu

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 19 March 2012 - 10:40 AM

Vâng,mấy cái yêu cầu của em tuy đơn giản nhưng tiết kiệm được rất nhiều time,vì em vẽ rất nhiều bản vẽ.Mong anh giúp em
  • 0

#4 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 19 March 2012 - 10:46 AM

Vâng,mấy cái yêu cầu của em tuy đơn giản nhưng tiết kiệm được rất nhiều time,vì em vẽ rất nhiều bản vẽ.Mong anh giúp em

Cái này có phải ý nghĩa là: vẽ 1 line từ 1 điểm p, theo phương thẳng đứng, đến 1 đường line nằm ngang, rồi lặp lại?
Nếu vậy thì "bước 1" để làm gì? Bước 3 chỉ cần pick điểm chứ đâu cần nhập toạ độ?
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#5 cocobubu

cocobubu

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 19 March 2012 - 10:50 AM

Cái này có phải ý nghĩa là: vẽ 1 line từ 1 điểm p, theo phương thẳng đứng, đến 1 đường line nằm ngang, rồi lặp lại?
Nếu vậy thì "bước 1" để làm gì? Bước 3 chỉ cần pick điểm chứ đâu cần nhập toạ độ?

Không phải vậy anh ah?Số liệu đầu vào chỉ là khoảng cách và cao độ ở trong bản checking.Em làm bước 1 để biến khoảng cách và cao độ trong checking đó thành tọa độ.Làm như vậy sẽ dễ dàng hơn
  • 0

#6 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 19 March 2012 - 11:53 AM

Không phải vậy anh ah?Số liệu đầu vào chỉ là khoảng cách và cao độ ở trong bản checking.Em làm bước 1 để biến khoảng cách và cao độ trong checking đó thành tọa độ.Làm như vậy sẽ dễ dàng hơn

Đây bạn!

(defun C:HA( / po xo yo yg ab)
(command "ucs" "w")
(setq po (getpoint "\nPick diem goc: "))
(setq xo (car po) yo (cadr po))
(setq yg (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong giong: ")))))))
(while (setq ab (getpoint "\nNhap toa do: "))
(command "line" "non" (list (+ xo (car ab)) (+ yo (cadr ab))) "non" (list (+ xo (car ab)) yg) ""))
(princ))

  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#7 cocobubu

cocobubu

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 19 March 2012 - 01:18 PM

Đây bạn!


(defun C:HA( / po xo yo yg ab)
(command "ucs" "w")
(setq po (getpoint "\nPick diem goc: "))
(setq xo (car po) yo (cadr po))
(setq yg (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong giong: ")))))))
(while (setq ab (getpoint "\nNhap toa do: "))
(command "line" "non" (list (+ xo (car ab)) (+ yo (cadr ab))) "non" (list (+ xo (car ab)) yg) ""))
(princ)

Anh xem giúp em,load vào cad rồi nhưng lại ko sử dụng được!
  • 0

#8 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 19 March 2012 - 01:29 PM

Anh xem giúp em,load vào cad rồi nhưng lại ko sử dụng được!

Srr bạn! Bạn thêm 1 dấu ) vào sau (princ) thành (princ)) như tôi đã sửa ở trên link cũ.
  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#9 cocobubu

cocobubu

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 19 March 2012 - 01:39 PM

Thanks anh rất nhiều
  • 0

#10 hung_xu20032000

hung_xu20032000

    biết vẽ ellipse

  • Members
  • PipPip
  • 52 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 31 August 2014 - 10:37 PM

Cái này có phải ý nghĩa là: vẽ 1 line từ 1 điểm p, theo phương thẳng đứng, đến 1 đường line nằm ngang, rồi lặp lại?
Nếu vậy thì "bước 1" để làm gì? Bước 3 chỉ cần pick điểm chứ đâu cần nhập toạ độ?

ý của e cũng giống bác Doan Van Ha. bác nào hộ e với. 


  • 0